SystemOrganization addCategory: #ConfigurationOfRPackage!

Object subclass: #ConfigurationOfRPackage
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfRPackage'!

!ConfigurationOfRPackage commentStamp: 'bvr 4/17/2011 16:04' prior: 0!
Gofer new
	squeaksource:  'PharoTaskForces';
	package: 'ConfigurationOfRPackage';
	load
	
ConfigurationOfRPackage project  load: '3.0'!

!ConfigurationOfRPackage class methodsFor: 'private' stamp: 'StephaneDucasse 8/20/2010 18:29'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfRPackage class methodsFor: 'metacello tool support' stamp: 'tg 6/5/2010 18:17'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRPackage class methodsFor: 'loading' stamp: 'tg 6/5/2010 18:17'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfRPackage class methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^self new project! !

!ConfigurationOfRPackage methodsFor: 'baselines' stamp: 'AlexandreBergel 2/18/2011 12:52'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'First baseline'.
		spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
		spec 
			package: 'SystemAnnouncements';
			package: 'RPackage-Core' with: [
				spec requires: #('SystemAnnouncements' ). ];
			package: 'RPackage-Tests';
			package: 'RPackage-UI';
			package: 'RPackage-SystemIntegration'. ].
! !

!ConfigurationOfRPackage methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/18/2011 12:53'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfRPackage methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfRPackage methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/18/2011 12:53'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'AlexandreBergel 2/18/2011 12:53'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/18/2011 12:53'.
		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-cyrilledelaunay.36';
			package: 'RPackage-Core' with: 'RPackage-Core-AlexandreBergel.66';
			package: 'RPackage-Tests' with: 'RPackage-Tests-cyrilledelaunay.26';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-cyrilledelaunay.50'. ].
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 4/17/2011 17:22'!
version30: spec
	<version: '3.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Started to redo the changes again but we are not convinced that running the tests does not destroy the system.'.
		spec author: 'StephaneDucasse'.
		spec timestamp:    '2011-04-17T17:21:53+02:00'.
.		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-bvr.44';
			package: 'RPackage-Core' with: 'RPackage-Core-BenjaminVanRyseghem.75';
			package: 'RPackage-Tests' with: 'RPackage-Tests-StephaneDucasse.27';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-BenjaminVanRyseghem.54'. ].
! !
